Name:           fribidi
Version:        1.0.12
Release:        1
Summary:        Library implementing the Unicode Bidirectional Algorithm
License:        LGPLv2+ and UCD
URL:            https://github.com/fribidi/fribidi/
Source:         https://github.com/%{name}/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.xz

BuildRequires:  gcc meson

%description
A library to handle bidirectional scripts (for example Hebrew, Arabic),
so that the display is done in the proper way; while the text data itself
is always written in logical order and display in a different direction .

%package        devel
Summary:        Libraries and include files for FriBidi
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
Include files and libraries needed for developing applications which use FriBidi under some area

%prep
%autosetup -n %{name}-%{version} -p1

%build
%meson -Ddocs=false
%meson_build

%check
%meson_test

%install
%meson_install
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%post -p /sbin/ldconfig

%postun  -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README AUTHORS ChangeLog THANKS NEWS TODO
%license COPYING
%{_bindir}/fribidi
%{_libdir}/libfribidi.so.0*

%files devel
%{_includedir}/fribidi
%{_libdir}/libfribidi.so
%{_libdir}/pkgconfig/*.pc
#%%{_mandir}/man3/*.gz

%changelog
* Sat Oct 29 2022 zhouwenpei <zhouwenpei1@h-partners.com> - 1.0.12-1
- version update to 1.0.12

* Wed Sep 14 2022 zhouwenpei <zhouwenpei1@h-partners.com> - 1.0.10-2
- fix CVE-2022-25308,CVE-2022-25309,CVE-2022-25310

* Mon Jul 20 2020 wangye <wangye70@huawei.com> - 1.0.10-1
- version update to 1.0.10

* Sun Jan 12 2020 zhangrui <zhangrui182@huawei.com> - 1.0.5-4
- fix CVE-2019-18397

* Fri Jan 10 2020 zhangrui <zhangrui182@huawei.com> - 1.0.5-3
- Remove unnecessary patch

* Wed Sep 11 2019 openEuler jimmy<dukaitian@huawei.com> - 1.0.5-2
- Package init jimmy
